> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paxos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Fiat Withdrawal

> Withdraw fiat to the given destination.

```bash OAuth Scope theme={null}
transfer:write_fiat_withdrawal
```


## OpenAPI

````yaml post /transfer/fiat-withdrawals
openapi: 3.0.0
info:
  title: Paxos API
  version: '2.0'
  description: >
    <p>Welcome to Paxos APIs. At Paxos, our mission is to enable the movement of
    any asset, any time, in a trustworthy way. These APIs serve that mission by
    making it easier than ever for you to directly integrate our product
    capabilities into your application, leveraging the speed, stability, and
    security of the Paxos platform.</p> <p>The documentation that follows gives
    you access to our Crypto Brokerage, Trading, and Exchange products. It
    includes APIs for market data, orders, and the held rate quote flow.</p>
    <p>To test in our sandbox environment, <a
    href="https://account.sandbox.paxos.com" target="_blank">sign up</a> for an
    account. For more information about Paxos and our APIs, visit <a
    href="https://www.paxos.com/" target="_blank">Paxos.com</a>.</p>
  x-logo:
    url: /docs/paxos.svg
    backgroundColor: '#FFFFFF'
    altText: Paxos logo
servers:
  - url: https://api.paxos.com/v2
    description: Production
  - url: https://api.sandbox.paxos.com/v2
    description: Sandbox
security: []
tags:
  - name: Profiles
    description: >
      Profiles hold asset balances, and every Paxos transaction is on a
      particular profile.

      Depending on your integration type, Profiles may be used to reflect both
      corporate balances or individual user balances.

      There are two types of Profiles:

      - `DEFAULT` Profiles are system-generated.

      - `NORMAL` Profiles are created using the [Create
      Profile](#operation/CreateProfile) endpoint and are the only type of
      Profile you can create.
  - name: Quotes
    description: >
      Quotes are "held rates" offered by Paxos to buy or sell assets at a
      specific

      price within a period of time - for example, the option to buy BTC within

      the next 30 seconds for $8,000.


      The typical Quotes workflow is as follows:


      1. Call [List Quotes](#operation/ListQuotes) to get the latest available
         quoted prices for the assets you want to buy or sell.
      1. Present the offered price to one or more end-users, with a timer
         indicating the time to expiration.
      1. If a user accepts the price, call [Create Quote
      Execution](#operation/CreateQuoteExecution) with the amount to buy or
      sell.

      1. Call [Get Quote Execution](#operation/GetQuoteExecution) to monitor
         for completion and know when the funds from the execution are available.

      It's important to show end-users the latest available price. If you cache

      prices to show them to multiple users, you should refresh the cache once

      per second.


      You can call [List Quote Executions](#operation/ListQuoteExecutions) to

      review or construct reports on quote execution activity.
  - name: Quote Executions
    description: |
      Quote Executions buy or sell assets using a Quote obtained from
      the [Quotes](#tag/Quotes) flow.
  - name: Orders
    description: >
      <p>There are three types of orders: market, limit and post-only.</p>

      <p>Market orders guarantee execution at a variable price and quantity.
      Limit orders guarantee price and quantity at the time of execution but do
      not guarantee execution. Post-only is an order type that will only be
      placed on the order book if it is the maker side of a trade.</p>
  - name: Market Data
    description: >
      Market data provides various parameters of the order book and historical
      order data.
  - name: Pricing
    description: |
      Pricing provides historical data related to charting of asset prices.

      Note: Some Pricing API markets may be unavailable for trading.
  - name: Issuer Quotes
    description: >
      Issuer Quotes are "held rates" offered by Paxos to mint or redeem
      Paxos-issued assets at a specific price within a period of time - for
      example, the option to buy PAXG within the next 5 seconds for $3,000.


      The typical Issuer Quotes workflow is as follows:


      1. Call [Create Issuer Quote](#operation/CreateIssuerQuote) to get a quote
      for the asset you want to mint or redeem to a specific profile.

      1. Call [Create Issuer Quote
      Execution](#operation/CreateIssuerQuoteExecution) with the quote ID and
      profile ID.


      You can call [List Issuer Quote
      Executions](#operation/ListIssuerQuoteExecutions) to review or construct
      reports on issuer quote execution activity.
  - name: Identity
    description: >
      An Identity represents a person or institution who is able to take actions
      on the Paxos Platform. Depending on 

      your integration type you might not need to create Identities for your end
      users. 


      Identities must pass a set of verifications and checks before they're able
      to transact on the Platform. Learn more

      about getting started with Identity and managing their onboarding
      lifecycle in the [Identity Developer
      Guide](https://docs.paxos.com/identity).
  - name: Institution Members
    description: >
      Institution Members allow you to associate persons with an institution on
      our Platform.

      Each institution can have multiple members, with each member representing
      the relationship to a person identity.


      When creating an institution identity, you must designate at least one
      institution member.

      This requirement ensures we have complete information about the
      institution's ownership structure

      and key personnel, which is necessary to onboard institutions.
  - name: Accounts
    description: >
      Accounts connect Identities (persons or institutions) to Profiles (asset
      balances).

      Key features include:


      - **Balance Management**: Track and manage profile balances via
      [Subledgering](https://docs.paxos.com/crypto-brokerage/ledger-type#fiat-and-crypto-subledger)

      - **Joint Account Support**: Link multiple Identities to a single Account
      for shared on platform balance


      Accounts are required for all Identity API integrations.
  - name: Account Members
    description: >
      Account Members allow you to associate an Identity with an Account on our
      Platform.

      Each Account can be linked to multiple Identities, which supports Joint
      Accounts (where two Identities have the ability

      to transact against a single Profile)  


      Account members are effectively immutable. In order to update an account
      member,

      clients should remove then re-add the account member with the desired
      state.


      The API requires clients to have write access on the account and all
      identities

      associated with the account.
  - name: Identity Documents
    description: >
      The Identity Documents API allows clients to send documents to Paxos to
      validate identities

      during the KYC process. Files can be updated multiple times by re-sending
      the document type

      for processing.


      We currently accept the following file formats:

      - <code>pdf</code>

      - <code>jpg</code>

      - <code>png</code>


      Steps to upload a document are as follows:

      1. Send a <code>PUT</code> request to
      <code>/identity/identities/{id}/documents</code> to get
        the upload URL.
      1. Send your document to the provided URL via a PUT request. Take the
      following example using curl:
        <code>$ curl --upload-file Proof_of_residence.jpg $URI </code>

      Uploaded document metadata will be available via <code>GET</code> request
      to <code>/identity/identities/{id}/documents</code>
  - name: Fiat Transfers
    description: >
      The Fiat Transfers API allows clients to deposit and withdraw fiat via the
      following Fiat Networks: Wire (Fedwire and SWIFT) and CUBIX. The supported
      asset is USD.


      The full set of Fiat Transfers API endpoints is:

      - For Deposits:
        - [Create Fiat Deposit Instructions](#operation/CreateFiatDepositInstructions)
        - [List Fiat Deposit Instructions](#operation/ListFiatDepositInstructions)
        - [Get Fiat Deposit Instructions](#operation/GetFiatDepositInstructions)
      - For Withdrawals:
        - [Create Fiat Account](#operation/CreateFiatAccount)
        - [List Fiat Accounts](#operation/ListFiatAccounts)
        - [Get Fiat Account](#operation/GetFiatAccount)
        - [Delete Fiat Account](#operation/DeleteFiatAccount)
        - [Update Fiat Account](#operation/UpdateFiatAccount)
        - [Create Fiat Withdrawal](#operation/CreateFiatWithdrawal)
  - name: Stablecoin Conversion
    description: >
      <p>Convert between fiat and stablecoin using <a
      href="#operation/CreateStablecoinConversion">Create Stablecoin
      Conversion</a> and check the status of a <a
      href="#operation/GetStablecoinConversion">single conversion</a> or
      retrieve a <a href="#operation/ListStablecoinConversions">list of
      conversions</a>.</p>
    externalDocs:
      description: Learn more about stablecoin conversions →
      url: https://docs.paxos.com/developer/convert
  - name: Transfers
    description: |
      Each deposit to and withdrawal from a Paxos account is a Transfer.
      A Transfer is associated with a particular Profile, and increases or
      decreases the available balance of a single asset in that Profile.
  - name: Tax Forms
    description: >
      All tax forms are associated to a single account_id.

      An account_id can have multiple tax forms associated with it.

      US 1099-B and 1099-Misc tax forms for the previous fiscal year will be
      available in February of the current calendar year.

      Previous years tax forms are also available by request.
  - name: Crypto Deposits
    description: >
      For [Paxos Global PTE
      Ltd](https://help.paxos.com/hc/en-us/articles/9647005243284) users, update
      or reject a crypto deposit that does not contain the required [travel
      rule](https://help.paxos.com/hc/en-us/articles/25928845778068)
      information.

      Deposits with the `NEEDS_INFO` status require additional sender
      information before they can be processed.

      - For individuals, both first and last name are required.

      - For institutions, the institution name is required.


      If a deposit is rejected, the funds will no longer be available.
    externalDocs:
      description: Learn more about travel rule udpates →
      url: https://help.paxos.com/hc/en-us/articles/25422999706900
  - name: Settlement
    description: >
      Use the Settlements API to facilitate simultaneous exchange of pre-funded
      assets. Automate a variety of use cases that require two-party approval,
      including net settlement of over-the-counter trades, withdrawal requests
      for tri-party collateral, payment requests, and bilateral settlement for
      marketplace end users.


      The simple request-and-approval workflow supports both one-directional and
      bidirectional transactions to allow a user to receive an asset (for
      example, send USDP) or simultaneously send and receive assets (for
      example, send USD and receive BTC and ETH). Only when all parties are in
      agreement and assets are fully funded does the Settlements API allow for
      change of custody. Upon completion, all settled assets are immediately
      available for trading, transferring, withdrawal or other supported
      activities.


      The Source Profile initiates the transaction for the Target Profile to
      approve. The `DIRECTION` of each asset is always relative to the Source
      Profile and only the owner of the Source Profile can cancel a transaction
      if it hasn't been approved by the Target Profile.
    externalDocs:
      description: Learn more about the Settlement APIs →
      url: https://docs.paxos.com/settlements
  - name: Paxos Transfers
    description: >
      Move assets between two Entities belonging to the same Organization or to
      a different Organization on the Paxos platform.


      > Transferring USD between Entities is prohibited in some jurisdictions.
      Contact [Support](https://support.paxos.com/) if you run into any problems
      with this restriction.


      Ensure the destination
      [Profile](https://docs.paxos.com/dashboard/organization#profile) already
      exists before beginning the transfer. This may require contacting someone
      outside your Organization to get the destination Profile ID.
  - name: Monitoring Addresses
    description: >
      A Monitoring Address is a blockchain address that Paxos monitors daily for
      eligible stablecoin activity and determines the amount of rewards your
      organization will earn. We recommend adding any addresses you expect to
      hold, receive, or mint Paxos stablecoins as a monitoring address in order
      to receive rewards for all of your qualifying on-chain activity. 


      > Monitoring addresses must be added by month end (`23:59 UTC+0`) in order
      to earn rewards for that month. Addresses added after month end will start
      earning rewards for the following month.


      *These endpoints are only relevant for Global Dollar Network (GDN)
      partners.*
  - name: Payout Address
    description: >-
      Endpoints working with Payout Address. These endpoints are only relevant
      for Global Dollar Network (GDN) partners.
  - name: Statements
    description: >
      A Statement summarizes all eligible stablecoin rewards for a given
      organization over a fixed time period. It aggregates earned reward types
      (e.g., custody, mint, acceptance) and records whether the statement was
      paid.


      Statements are generated monthly and are immutable. Revised statements
      will be issued as a new statement with a unique ID. Statements can be used
      to reconcile balances or for accounting and accounts receivable purposes.


      *These endpoints are only relevant for Global Dollar Network (GDN)
      partners.*
  - name: Payments
    description: >
      Payments represent actual transfers of rewards to the payout address
      associated with a given statement. Payments are made on-chain to a
      specified payout address. Payments tie 1:1 with a statement amount.


      Use the `ref_id` to link payments to statements. 


      > Some fields (e.g., `account_id`, `profile_id`) are populated for
      consistency but are not relevant to reward-specific flows.


      *These endpoints are only relevant for Global Dollar Network (GDN)
      partners.*
  - name: Reward Addresses
    description: >
      Reward addresses are blockchain addresses registered for reward
      attribution.


      Custody Rewards: For EVM chains, Paxos registers these addresses on-chain
      for reward calculation and accrual in the token contract. For Solana,
      provide the **owner account** (not a token account) — Paxos will derive
      and register the associated token account on-chain for the given asset.
      Providing a token account will result in a derived address with no
      meaning. For other non-EVM chains, Paxos tracks on-chain activity for
      custody reward calculation.


      Non-Custody Rewards: Paxos tracks on-chain activity for these addresses to
      calculate and distribute non-custody rewards to your organization.


      *These endpoints are only relevant for whitelisted Rewards partners.*
  - name: Claims
    description: >
      Claims represent rewards paid out on-chain. Use claim schedules to
      automate daily reward claims.


      *These endpoints are only relevant for whitelisted Rewards partners.*
  - name: Payout Groups
    description: >
      Payout groups encapsulate common rewards characteristics. All monitored
      addresses that reference a payout group accumulate rewards at the same
      rate and claim to the payout destination specified for that group.


      *These endpoints are only relevant for whitelisted Rewards partners.*
  - name: Rewards
    description: >
      Rewards details including current reward rates, next accrual time,
      lifetime earned amounts, and estimated next accrual.


      *These endpoints are only relevant for whitelisted Rewards partners.*
  - name: API Credentials
    description: >
      API credentials allow programmatic access to Paxos APIs. These endpoints
      enable you to manage and view your API credentials.
  - name: Events
    description: >
      The Events API allows you to fetch events that occurred on the Paxos
      platform with the full event payload. This REST API can be used as part of
      your webhook integrations (including rebuilding your event history should
      your webhook consumer exceed its retries), or standalone by polling for
      events related to your identities.
  - name: Event Types
    description: >
      List of event types that can be delivered via webhooks. We may add
      additional event types at any time; your implementation should handle
      unexpected event types gracefully.
  - name: Event Objects
    description: >
      Object schemas that describe the structure of data that accompanies each
      event type.
paths:
  /transfer/fiat-withdrawals:
    post:
      tags:
        - Fiat Transfers
      summary: Create Fiat Withdrawal
      description: Withdraw fiat to the given destination.
      operationId: CreateFiatWithdrawal
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateFiatWithdrawalRequest'
        required: true
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Transfer'
              example:
                id: f190b163-208f-4d73-8deb-4fb8b24add00
                customer_id: 9b8c9cba-801e-4418-adc0-ede709df6339
                profile_id: 5fc6d191-193c-4e28-94fa-656bbdbdfaad
                identity_id: 54385e67-d7ef-40d1-b488-ceda6dd9b264
                amount: '10.00'
                total: '10.00'
                fee: '0.0000000'
                asset: USD
                balance_asset: USD
                direction: DEBIT
                type: CUBIX_WITHDRAWAL
                status: PENDING
                created_at: '2023-07-13T18:36:08.737Z'
                updated_at: '2023-07-13T18:36:08.737Z'
                fiat_account_id: caa82b32-8abd-4899-afdc-f9d4bf9b4e98
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Problem'
                example:
                  type: about:blank
                  title: Bad Request
                  status: 400
                  detail: fiat account has invalid status REJECTED, must be approved
              example:
                type: about:blank
                title: Bad Request
                status: 400
                detail: fiat account has invalid status REJECTED, must be approved
        '403':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Problem'
              examples:
                Insufficient Funds:
                  summary: Example of insufficient funds
                  description: >-
                    The needed funds include wire withdrawal fees. Please check
                    developer documentation for fee details.
                  value:
                    type: >-
                      https://developer.paxos.com/docs/v2/problems/insufficient-funds
                    title: Insufficient Funds
                    status: 403
                    detail: >-
                      insufficient USD funds in profile
                      5fc6d191-193c-4e28-94fa-656bbdbdfaad: 100 needed, 50
                      available
                    meta:
                      profile_id: 5fc6d191-193c-4e28-94fa-656bbdbdfaad
                      asset: USD
                      available: '50'
                      needed: '100'
          description: Insufficient funds
        '404':
          description: Could not find Profile
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Problem'
                example:
                  type: about:blank
                  title: Not Found
                  status: 404
                  detail: fiat account not found with requested ID
              example:
                type: about:blank
                title: Not Found
                status: 404
                detail: fiat account not found with requested ID
        '409':
          description: Transfer already exists
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Problem'
              examples:
                Already Exists:
                  $ref: '#/components/examples/Problem_already_exists_fiat_withdrawal'
      security:
        - OAuth2:
            - transfer:write_fiat_withdrawal
components:
  schemas:
    CreateFiatWithdrawalRequest:
      type: object
      example:
        amount: '12.34'
        asset: USD
        fiat_account_id: caa82b32-8abd-4899-afdc-f9d4bf9b4e98
        profile_id: 5fc6d191-193c-4e28-94fa-656bbdbdfaad
        identity_id: 54385e67-d7ef-40d1-b488-ceda6dd9b264
      properties:
        ref_id:
          type: string
          description: The optional client-specified ID (for idempotence).
        amount:
          type: string
          description: >-
            Amount to withdraw, excluding fees. Specify exactly one of `amount`
            or `total`. When `amount` is specified, Paxos initiates the
            withdrawal for `amount` and then charges fees.
          pattern: ^[0-9]*\.?[0-9]{1,2}$
        asset:
          type: string
          description: 'The asset to withdraw. Current supported asset: "USD".'
        fiat_account_id:
          type: string
          description: The fiat account (`fiat_account_id`) destination.
        profile_id:
          type: string
          description: The Profile (`profile_id`) to withdraw from.
        identity_id:
          type: string
          description: >-
            The Identity (`identity_id`) of the user making the withdrawal.

            Required only for customers with [3rd-Party
            integrations](https://docs.paxos.com/crypto-brokerage/ledger-type#fiat-and-crypto-subledger)
            initiating transfers on behalf of their end users.
        account_id:
          type: string
          description: >-
            The Account (`account_id`) associated with the Identity of the user
            making the withdrawal.

            Required only for customers with [3rd-Party
            integrations](https://docs.paxos.com/crypto-brokerage/ledger-type#fiat-and-crypto-subledger)
            initiating transfers on behalf of their end users.
        metadata:
          type: object
          additionalProperties:
            type: string
          description: |-
            Optional client-specified metadata.
            Up to 6 key/value pairs may be provided.
            Each key and value must be less than or equal to 100 characters.
        memo:
          type: string
          description: |-
            Optional additional memo to be set on the outgoing withdrawal.
            For wire withdrawals the character limit is 100.
            For CUBIX intrabank withdrawals, the character limit is 40.
            For DBS intrabank withdrawals, the character limit is 100.
            For SCB intrabank withdrawals, the character limit is 140.
          maxLength: 500
          pattern: ^[0-9A-Za-z /?:().,&'+-]*$
        total:
          type: string
          description: >-
            Total to withdraw, including fees. Specify exactly one of `amount`
            or `total`. When `total` is specified, Paxos initiates the
            withdrawal for `total` minus the fee.
      required:
        - asset
        - fiat_account_id
        - profile_id
    Transfer:
      type: object
      example:
        id: f190b163-208f-4d73-8deb-4fb8b24add00
        ref_id: idempotence_id
        customer_id: 9b8c9cba-801e-4418-adc0-ede709df6339
        profile_id: b7b77d82-e6a7-4ae9-9904-36231aedf985
        amount: '0.10000000'
        total: '0.10000023'
        fee: '0.00000023'
        asset: BTC
        balance_asset: BTC
        direction: WITHDRAWAL
        type: CRYPTO_WITHDRAWAL
        status: COMPLETED
        created_at: '2020-01-17T18:36:08.737Z'
        updated_at: '2020-01-17T18:37:08.737Z'
        crypto_network: BITCOIN
        crypto_tx_hash: f4184fc596403b9d638783cf57adfe4c75c605f6356fbc91338530e9831e9e16
        crypto_tx_index: '0'
        destination_address: 1BvBMSEYstWetqTFn5Au4m4GFg7xJaNVN2
        notional_value: '1.02'
        metadata:
          my_id: 4024ee50-eefb-4f2e-85c7-e7899c0b7da5
      properties:
        id:
          type: string
          description: The Paxos transfer ID.
        customer_id:
          type: string
          description: The Paxos customer ID.
        profile_id:
          type: string
          description: >-
            The target Profile of the transfer. The profile asset balance is
            debited or credited by the transfer.
        identity_id:
          type: string
          description: The Paxos ID of the Identity associated with the transfer.
        ref_id:
          type: string
          description: The optional client-specified ID for replay protection and lookup.
        amount:
          type: string
          description: The amount sent in the transfer.
          pattern: ^[0-9]*\.?[0-9]+$
        total:
          type: string
          description: >-
            The balance change from this transfer: amount - fee for deposits,
            and amount + fee for withdrawals. Unsigned.
          pattern: ^[0-9]*\.?[0-9]+$
        fee:
          type: string
          description: The fee paid for the transfer.
          pattern: ^[0-9]*\.?[0-9]+$
        asset:
          type: string
          description: >-
            The asset for this transfer. This profile's balance of this asset
            will be debited or credited.
        balance_asset:
          type: string
          description: >-
            The balance_asset represents what asset's balance was affected at
            Paxos with this transfer. It only differs from Asset when the
            transfer includes conversion.
        direction:
          $ref: '#/components/schemas/TransferDirection'
        type:
          $ref: '#/components/schemas/TransferType'
        status:
          $ref: '#/components/schemas/TransferStatus'
        secondary_status:
          $ref: '#/components/schemas/SecondaryStatus'
        status_details:
          $ref: '#/components/schemas/TransferStatusDetails'
        created_at:
          type: string
          format: date-time
          description: The time at which this transfer record was created.
        updated_at:
          type: string
          format: date-time
          description: The time at which this transfer record was most recently updated.
        metadata:
          type: object
          additionalProperties:
            type: string
          description: >-
            Optional client-specified stored metadata. For deposit event
            transfers

            this metadata is copied from the crypto deposit address or fiat
            deposit

            memo used for attribution.

            Up to 6 key/value pairs may be returned.

            Each key and value must be less than or equal to 100 characters.
        destination_address:
          type: string
          description: The destination crypto address.
        crypto_network:
          $ref: '#/components/schemas/CryptoNetwork'
        crypto_tx_hash:
          type: string
          description: For crypto transactions, the on-chain transaction hash.
        crypto_tx_index:
          type: string
          description: For crypto transactions, the output index or output address.
        account_id:
          type: string
          description: The Paxos ID of the Account associated with the transfer.
        auto_conversion:
          $ref: '#/components/schemas/AutoConversion'
        group_id:
          type: string
          description: >-
            Unique identifier linking the debit and credit sides of an internal
            or Paxos transfer.
        fiat_account_id:
          type: string
          description: >-
            For fiat withdrawals, the Paxos ID of the owner's fiat account
            (UUID).
        notional_value:
          type: string
          description: >-
            For crypto withdrawals and deposits, the USD value of the combined
            amount and fee at the time of the transfer.
        memo:
          type: string
          description: An optional memo to be included with the transfer as an identifier.
      required:
        - id
        - customer_id
        - profile_id
        - amount
        - total
        - fee
        - created_at
        - updated_at
        - asset
        - status
        - direction
        - type
    Problem:
      type: object
      properties:
        type:
          type: string
          format: uri
          description: >
            An absolute URI that identifies the problem type.  When
            dereferenced,

            it SHOULD provide human-readable documentation for the problem type

            (e.g., using HTML).
          default: about:blank
          example: https://api.paxos.com/v2/problems/insufficient_funds
        title:
          type: string
          description: >
            A short, summary of the problem type. Written in english and
            readable

            for engineers (usually not suited for non technical stakeholders and

            not localized); example: Service Unavailable
          example: Insufficient Funds
        status:
          type: integer
          format: int32
          description: >
            The HTTP status code generated by the origin server for this
            occurrence

            of the problem.
          minimum: 100
          maximum: 600
          exclusiveMaximum: true
          example: 403
        detail:
          type: string
          description: |
            A human readable explanation specific to this occurrence of the
            problem.
          example: Not enough funds in account.
        meta:
          type: object
          description: |
            Additional structured metadata about the error.
    TransferDirection:
      type: string
      enum:
        - CREDIT
        - DEBIT
      description: Direction of the transfer.
    TransferType:
      type: string
      enum:
        - INTERNAL_TRANSFER_DEBIT
        - INTERNAL_TRANSFER_CREDIT
        - CRYPTO_DEPOSIT
        - CRYPTO_WITHDRAWAL
        - WIRE_DEPOSIT
        - WIRE_WITHDRAWAL
        - SEN_DEPOSIT
        - SEN_WITHDRAWAL
        - BANK_DEPOSIT
        - BANK_WITHDRAWAL
        - PAXOS_TRANSFER_DEBIT
        - PAXOS_TRANSFER_CREDIT
        - SIGNET_DEPOSIT
        - SIGNET_WITHDRAWAL
        - CBIT_WITHDRAWAL
        - CBIT_DEPOSIT
        - CUBIX_DEPOSIT
        - CUBIX_WITHDRAWAL
        - RTP_DEPOSIT
      description: Type of transfer.
    TransferStatus:
      type: string
      enum:
        - PENDING
        - COMPLETED
        - FAILED
    SecondaryStatus:
      type: object
      properties:
        name:
          $ref: '#/components/schemas/SecondaryStatusName'
        detail:
          type: string
          description: >-
            Additional information about the current status of the transfer
            (e.g. if information is missing).
      description: >-
        Secondary status for the transfer, used for more granular explanation of
        the transfer status.
    TransferStatusDetails:
      type: object
      properties:
        missing_trustline:
          $ref: '#/components/schemas/MissingTrustline'
        max_rent_exceeded:
          $ref: '#/components/schemas/MaxRentExceeded'
        pending_customer_approval:
          $ref: '#/components/schemas/PendingCustomerApproval'
        stale_fee_quote:
          $ref: '#/components/schemas/StaleFeeQuote'
        invalid_destination_address:
          $ref: '#/components/schemas/InvalidDestinationAddress'
      description: >-
        TransferStatusDetails provides additional information about why a
        transfer

        is in its current state. This field is only populated when a transfer

        encounters specific error conditions or requires additional context.
    CryptoNetwork:
      type: string
      enum:
        - BITCOIN
        - ETHEREUM
        - BITCOIN_CASH
        - LITECOIN
        - SOLANA
        - POLYGON_POS
        - BASE
        - ARBITRUM_ONE
        - STELLAR
        - INK
        - XLAYER
      description: A CryptoNetwork is a blockchain transmitting cryptocurrencies.
    AutoConversion:
      type: object
      properties:
        from_transfer_id:
          type: string
          title: >-
            Transfer Id of the deposit triggering this transfer (only on
            withdrawal transfers)
        to_transfer_id:
          type: string
          title: >-
            Transfer Id of the withdrawal triggered by this deposit(only on
            deposit transfers)
    SecondaryStatusName:
      type: string
      enum:
        - TRAVEL_RULE_INFO_REQUESTED
        - TRAVEL_RULE_REJECTED
        - CUSTOMER_REJECTED
        - PENDING_CUSTOMER_APPROVAL
      description: |-
        Identifier for secondary status.

         - TRAVEL_RULE_INFO_REQUESTED: Travel rule information is required to continue processing the transfer.
         - TRAVEL_RULE_REJECTED: Transfer has been terminally rejected due to failing travel rule checks.
         - CUSTOMER_REJECTED: Transfer was rejected by a customer.
         - PENDING_CUSTOMER_APPROVAL: Transfer is pending customer approval.
    MissingTrustline:
      type: object
      properties:
        message:
          type: string
          title: Human-readable explanation of the error
        destination_address:
          type: string
          title: The destination account address that is missing the trustline
        asset:
          type: string
          title: The asset that requires a trustline
      description: >-
        MissingTrustline represents a failed transfer where the destination
        account

        lacks the required asset trustline.
    MaxRentExceeded:
      type: object
      properties:
        message:
          type: string
          title: Human-readable explanation of the error
        destination_address:
          type: string
          title: The destination account address that triggered the check
      description: >-
        MaxRentExceeded represents a failed transfer that was flagged for system
        abuse.

        When a withdrawal's rent calculation for the destination account exceeds
        the

        maximum allowed rent threshold, it may indicate malicious behavior. This
        status

        detail is set when such transfers are automatically cancelled.
    PendingCustomerApproval:
      type: object
      properties:
        message:
          type: string
          title: Human-readable explanation
      description: >-
        PendingCustomerApproval represents that this resource is awaiting
        customer approval.
    StaleFeeQuote:
      type: object
      properties:
        message:
          type: string
          title: Human-readable explanation
      description: >-
        StaleFeeQuote represents a transfer cancelled because on-chain state
        changed after the fee was quoted.
    InvalidDestinationAddress:
      type: object
      properties:
        message:
          type: string
          title: Human-readable explanation of the error
        destination_address:
          type: string
          title: The destination address that caused the cancellation
      description: >-
        InvalidDestinationAddress represents a transfer cancelled because the
        destination address

        cannot receive the requested asset (e.g. it is a token account for a
        different mint).
  examples:
    Problem_already_exists_fiat_withdrawal:
      value:
        type: https://developer.paxos.com/docs/v2/problems/already-exists
        title: Already Exists
        status: 409
        detail: activity with external id already_used_ref_id already exists
        meta:
          existing:
            id: f190b163-208f-4d73-8deb-4fb8b24add00
            customer_id: 9b8c9cba-801e-4418-adc0-ede709df6339
            profile_id: 5fc6d191-193c-4e28-94fa-656bbdbdfaad
            identity_id: 54385e67-d7ef-40d1-b488-ceda6dd9b264
            amount: '10.00'
            total: '10.00'
            fee: '0.0000000'
            asset: USD
            balance_asset: USD
            direction: DEBIT
            type: CUBIX_WITHDRAWAL
            status: PENDING
            created_at: '2023-07-13T18:36:08.737Z'
            updated_at: '2023-07-13T18:36:08.737Z'
            fiat_account_id: caa82b32-8abd-4899-afdc-f9d4bf9b4e98
  securitySchemes:
    OAuth2:
      type: oauth2
      description: >
        Paxos APIs use [OAuth 2](https://tools.ietf.org/html/rfc6749) with the
        [client credentials](https://tools.ietf.org/html/rfc6749#section-4.4)
        grant flow.


        **Token URLs:**

        - Production: https://oauth.paxos.com/oauth2/token

        - Sandbox: https://oauth.sandbox.paxos.com/oauth2/token


        Learn more in the [API credentials guide
        →](https://docs.paxos.com/developer/credentials)
      flows:
        clientCredentials:
          tokenUrl: https://oauth.paxos.com/oauth2/token
          scopes:
            conversion:read_conversion_stablecoin: Retrieve stablecoin conversion details
            conversion:write_conversion_stablecoin: Create or cancel a stablecoin conversion
            exchange:historical_prices: Retrieve marketnaverage prices at a certain time increment
            exchange:read_order: Retrieve order or order execution details
            exchange:read_quote: Retrieve quote details for buying or selling an asset
            exchange:read_quote_execution: Retrieve quote execution details
            exchange:write_quote_execution: Create a quote execution for buying or selling an asset
            exchange:write_order: Create or cancel an order for buying or selling an asset
            fee:write_crypto_withdrawal_fee: Create a guaranteed fee for crypto withdrawal
            funding:read_bank_balance: Retrieve Paxos dedicated bank account balance
            funding:read_profile: Retrieve Profile details and deposit funds in Sandbox
            funding:write_profile: Create a Profile
            identity:read_account: Retrieve Account details
            identity:read_identity: Retrieve Identity details or documents
            identity:write_account: Create or update Account and Account Members
            identity:write_identity: Create or update Identity details and set Sandbox Identify Status
            settlement:read_transaction: Retrieve settlement transaction details
            settlement:write_transaction: Create, affirm or cancel a settlement transaction
            tax:read_tax_form: Retrieve tax details
            tax:read_tax_lot: Retrieve tax lot details
            tax:write_tax_lot: Update the given tax-lot ID
            transfer:read_deposit_address: Retrieve deposit address details
            transfer:read_fiat_account: Retrieve Fiat Account details
            transfer:read_fiat_deposit_instructions: Retrieve fiat deposit instruction details
            transfer:read_transfer: Retrieve transfer details
            transfer:read_transfer_limit: Retrieve limits for the given transaction type
            transfer:reject_crypto_deposit: Reject a crypto deposit (travel rule)
            transfer:update_crypto_deposit: Provide required travel-rule details
            transfer:write_crypto_withdrawal: Withdraw asset to a specified destination address
            transfer:write_deposit_address: Create an deposit address on a blockchain network
            transfer:write_fiat_account: Create, update or delete a Fiat Account
            transfer:write_fiat_deposit_instructions: Create, update or delete fiat deposit instructions
            transfer:write_internal_transfer: Transfer assets between two Profiles
            transfer:write_sandbox_fiat_deposit: Initiate a test fiat deposit in the Sandbox environment
            transfer:write_fiat_withdrawal: Withdraw fiat to the given destination
            events:read_event: Retrieve events

````